Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.mom
Class JmsAppender.Builder

    java.lang.Object
      org.apache.logging.log4j.core.appender.mom.JmsAppender.Builder

All Implemented Interfaces:
  Builder<JmsAppender>

Enclosing class:
  JmsAppender

    public static class JmsAppender.Builder

extends Object
implements Builder<JmsAppender>

Method Summary
`JmsAppender` | `build()` Builds the plugin object after all configuration has been set.
`JmsAppender.Builder` | `setDestinationBindingName(String destinationBindingName)`
`JmsAppender.Builder` | `setFactoryBindingName(String factoryBindingName)`
`JmsAppender.Builder` | `setFactoryName(String factoryName)`
`JmsAppender.Builder` | `setFilter(Filter filter)`
`JmsAppender.Builder` | `setIgnoreExceptions(boolean ignoreExceptions)`
`JmsAppender.Builder` | `setLayout(Layout<? extends Serializable> layout)`
`JmsAppender.Builder` | `setName(String name)`
`JmsAppender.Builder` | `setPassword(String password)`
`JmsAppender.Builder` | `setProviderUrl(String providerUrl)`
`JmsAppender.Builder` | `setSecurityCredentials(String securityCredentials)`
`JmsAppender.Builder` | `setSecurityPrincipalName(String securityPrincipalName)`
`JmsAppender.Builder` | `setUrlPkgPrefixes(String urlPkgPrefixes)`
`JmsAppender.Builder` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setName

    public JmsAppender.Builder setName(String name)

### setFactoryName

    public JmsAppender.Builder setFactoryName(String factoryName)

### setProviderUrl

    public JmsAppender.Builder setProviderUrl(String providerUrl)

### setUrlPkgPrefixes

    public JmsAppender.Builder setUrlPkgPrefixes(String urlPkgPrefixes)

### setSecurityPrincipalName

    public JmsAppender.Builder setSecurityPrincipalName(String securityPrincipalName)

### setSecurityCredentials

    public JmsAppender.Builder setSecurityCredentials(String securityCredentials)

### setFactoryBindingName

    public JmsAppender.Builder setFactoryBindingName(String factoryBindingName)

### setDestinationBindingName

    public JmsAppender.Builder setDestinationBindingName(String destinationBindingName)

### setUsername

    public JmsAppender.Builder setUsername(String username)

### setPassword

    public JmsAppender.Builder setPassword(String password)

### setLayout

    public JmsAppender.Builder setLayout(Layout<? extends Serializable> layout)

### setFilter

    public JmsAppender.Builder setFilter(Filter filter)

### setIgnoreExceptions

    public JmsAppender.Builder setIgnoreExceptions(boolean ignoreExceptions)

### build

    public JmsAppender build()

  Description copied from interface: `Builder`
  Builds the plugin object after all configuration has been set. This will use default values for any unspecified attributes for the plugin.

  Specified by:
    `build` in interface `Builder<JmsAppender>`
  Returns:
    the configured plugin instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.